<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [GoCheat](./bitburner.gocheat.md) &gt; [getCheatSuccessChance](./bitburner.gocheat.getcheatsuccesschance.md)

## GoCheat.getCheatSuccessChance() method

Returns your chance of successfully playing one of the special moves in the ns.go.cheat API. Scales up with your crime success rate stat. Scales down with the number of times you've attempted to cheat in the current game.

Warning: if you fail to play a cheat move, your turn will be skipped. After your first cheat attempt, if you fail, there is a small (\~10%) chance you will instantly be ejected from the subnet.

**Signature:**

```typescript
getCheatSuccessChance(cheatCount?: number, playAsWhite?: boolean): number;
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

cheatCount


</td><td>

number


</td><td>

_(Optional)_ Optional override for the number of cheats already attempted. Defaults to the number of cheats attempted in the current game.


</td></tr>
<tr><td>

playAsWhite


</td><td>

boolean


</td><td>

_(Optional)_ Optional override for playing as white. Can only be used when playing on a 'No AI' board.


</td></tr>
</tbody></table>

**Returns:**

number

Your chance of successfully playing a cheat move.

## Remarks

RAM cost: 1 GB

Requires Source-File 14.2 to use

